## bind9 9.16.50

=== doc/arm/requirements.txt ===
# Make Read the Docs use the exact same package versions as in
# registry.gitlab.isc.org/isc-projects/images/bind9:debian-bookworm-amd64
Sphinx==7.2.6
docutils==0.20.1
sphinx_rtd_theme==2.0.0

=== contrib/dlz/modules/bdbhpt/Makefile ===
# Copyright Internet Systems Consortium, Inc. ("ISC")
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.

# Copyright (C) Stichting NLnet, Netherlands, stichting@nlnet.nl.
#
# The development of Dynamically Loadable Zones (DLZ) for Bind 9 was
# conceived and contributed by Rob Butler.
#
# SPDX-License-Identifier: ISC and MPL-2.0
#
# Permission to use, copy, modify, and distribute this software for any purpose
# with or without fee is hereby granted, provided that the above copyright
# notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND STICHTING NLNET DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL STICHTING NLNET BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

prefix = /usr
libdir = $(prefix)/lib/bind9

CFLAGS=-fPIC -g -I../include
BDB_LIBS=-ldb

all: dlz_bdbhpt_dynamic.so

dlz_bdbhpt_dynamic.so: dlz_bdbhpt_dynamic.c
	$(CC) $(CFLAGS) -shared -o dlz_bdbhpt_dynamic.so \
		dlz_bdbhpt_dynamic.c $(BDB_LIBS)

clean:
	rm -f dlz_bdbhpt_dynamic.so

install: dlz_bdbhpt_dynamic.so
	mkdir -p $(DESTDIR)$(libdir)
	install dlz_bdbhpt_dynamic.so $(DESTDIR)$(libdir)

=== contrib/dlz/modules/ldap/Makefile ===
# Copyright Internet Systems Consortium, Inc. ("ISC")
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.

# Copyright (C) Stichting NLnet, Netherlands, stichting@nlnet.nl.
#
# The development of Dynamically Loadable Zones (DLZ) for Bind 9 was
# conceived and contributed by Rob Butler.
#
# SPDX-License-Identifier: ISC and MPL-2.0
#
# Permission to use, copy, modify, and distribute this software for any purpose
# with or without fee is hereby granted, provided that the above copyright
# notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND STICHTING NLNET DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL STICHTING NLNET BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

prefix = /usr
libdir = $(prefix)/lib/bind9

CFLAGS=-fPIC -g -I../include
LDAP_LIBS=-lldap

all: dlz_ldap_dynamic.so

dlz_dbi.o: ../common/dlz_dbi.c
	$(CC) $(CFLAGS) -c ../common/dlz_dbi.c

dlz_ldap_dynamic.so: dlz_ldap_dynamic.c dlz_dbi.o
	$(CC) $(CFLAGS) -shared -o dlz_ldap_dynamic.so \
		dlz_ldap_dynamic.c dlz_dbi.o $(LDAP_LIBS)

clean:
	rm -f dlz_ldap_dynamic.so *.o

install: dlz_ldap_dynamic.so
	mkdir -p $(DESTDIR)$(libdir)
	install dlz_ldap_dynamic.so $(DESTDIR)$(libdir)

=== contrib/dlz/modules/perl/Makefile ===
# Copyright Internet Systems Consortium, Inc. ("ISC")
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.

# Copyright (C) Stichting NLnet, Netherlands, stichting@nlnet.nl.
# Copyright (C) John Eaglesham
#
# The development of Dynamically Loadable Zones (DLZ) for Bind 9 was
# conceived and contributed by Rob Butler.
#
# SPDX-License-Identifier: ISC and MPL-2.0
#
# Permission to use, copy, modify, and distribute this software for any purpose
# with or without fee is hereby granted, provided that the above copyright
# notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND STICHTING NLNET DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL STICHTING NLNET BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# For building the dlz_perl_driver driver we don't use
# the bind9 build structure as the aim is to provide an
# perl_driver that is separable from the bind9 source tree

CFLAGS += -fPIC -O2 -I../include
FLAGS_PERL ?= perl
LIBNAME = dlz_perl_driver.so

all: $(LIBNAME)

dlz_perl_driver.o: dlz_perl_driver.c
	$(CC) $(CFLAGS) `${FLAGS_PERL} -MExtUtils::Embed -e ccopts` -c -o dlz_perl_driver.o dlz_perl_driver.c


dlz_perl_callback_clientinfo.c: dlz_perl_callback_clientinfo.xs
	${FLAGS_PERL} `${FLAGS_PERL} -MConfig -le 'print $$Config{privlibexp}'`/ExtUtils/xsubpp -prototypes -typemap `${FLAGS_PERL} -MConfig -le 'print $$Config{privlibexp}'`/ExtUtils/typemap dlz_perl_callback_clientinfo.xs > dlz_perl_callback_clientinfo.c

dlz_perl_callback_clientinfo.o: dlz_perl_callback_clientinfo.c
	$(CC) $(CFLAGS) `${FLAGS_PERL} -MExtUtils::Embed -e ccopts` -c -o dlz_perl_callback_clientinfo.o dlz_perl_callback_clientinfo.c


dlz_perl_callback.c: dlz_perl_callback.xs
	${FLAGS_PERL} `${FLAGS_PERL} -MConfig -le 'print $$Config{privlibexp}'`/ExtUtils/xsubpp -prototypes -typemap `${FLAGS_PERL} -MConfig -le 'print $$Config{privlibexp}'`/ExtUtils/typemap dlz_perl_callback.xs > dlz_perl_callback.c

dlz_perl_callback.o: dlz_perl_callback.c
	$(CC) $(CFLAGS) `${FLAGS_PERL} -MExtUtils::Embed -e ccopts` -c -o dlz_perl_callback.o dlz_perl_callback.c


$(LIBNAME): dlz_perl_driver.o dlz_perl_callback_clientinfo.o dlz_perl_callback.o
	$(CC) $(LDFLAGS) -shared -o $(LIBNAME) dlz_perl_driver.o dlz_perl_callback_clientinfo.o dlz_perl_callback.o `${FLAGS_PERL} -MExtUtils::Embed -e ldopts`

clean:
	rm -f dlz_perl_driver.o dlz_perl_driver.so dlz_perl_callback_clientinfo.c dlz_perl_callback_clientinfo.o dlz_perl_callback.c dlz_perl_callback.o

install: dlz_perl_driver.so
	mkdir -p $(DESTDIR)$(libdir)
	install dlz_perl_driver.so $(DESTDIR)$(libdir)

=== debian/changelog ===
bind9 (1:9.16.50-1~deb11u4) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team
  * Add patch for CVE-2025-40778:
    + Address various spoofing attacks
  * Add patch for CVE-2025-40780:
    + Cache-poisoning due to weak pseudo-random number generator
  * Add patches for CVE-2025-8677:
    + DNSSEC validation fails if matching but invalid DNSKEY is found

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 30 Oct 2025 10:48:50 +0100

bind9 (1:9.16.50-1~deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team
  * d/tests: add new test: zonetest.
    Test checks the domain zone creation process
  * Add patch for CVE-2024-11187:
    + Limit additional section processing for large RDATA sets
    + d/t/zoneinfo: expand to include upstream 'minimal-any no;' test
  * d/.gitlab-ci.yml: add lts-team salsa pipeline

 -- Paride Legovini <paride@debian.org>  Tue, 11 Feb 2025 12:17:44 +0100

bind9 (1:9.16.50-1~deb11u2) bullseye; urgency=medium

  * Add patches for CVE-2024-1737 configurable limits:
   + New option max-records-per-type can be used to increase the
     limit on the maximum number of resource record for a single
     RRSet (owner, class, type).  The default is 100.
   + New option max-types-per-name can be used to increate the
     limit on the maximum number of types for a single name.
     The default is 100.
  * Also add the patches to fix the system tests to verify the
    correctness of the changes.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jul 2024 12:05:11 +0200

bind9 (1:9.16.50-1~deb11u1) bullseye-security; urgency=high

  * Backported from BIND 9.18.28
   + CVE-2024-1737: It is possible to craft excessively large resource
     records sets, which have the effect of slowing down database
     processing. This has been addressed by adding a fixed limit to
     the number of records that can be stored per name and type in a cache
     or zone database.
   + CVE-2024-1737: It is possible to craft excessively large numbers of
     resource record types for a given owner name, which has the effect of
     slowing down database processing. This has been addressed by adding a
     fixed limit to the number of records that can be stored per
     name and type in a cache or zone database.
   + CVE-2024-1975: Validating DNS messages signed using the SIG(0)
     protocol could cause excessive CPU load, leading to a
     denial-of-service condition.  Support for SIG(0) message validation
     was removed from this version.
   + CVE-2024-4076: Due to a logic error, lookups that triggered serving
     stale data and required lookups in local authoritative zone data could
     have resulted in an assertion failure.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Jul 2024 15:15:18 +0200

bind9 (1:9.16.49-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.49
   - A regression caused by CVE-2023-6516 fix could lead into
     an out-of-memory condition when the server is under heavy
     load.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Mar 2024 14:01:54 +0100

bind9 (1:9.16.48-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.48
   - CVE-2023-4408: Parsing large DNS messages may cause excessive CPU
     load
   - CVE-2023-5517: Querying RFC 1918 reverse zones may cause an assertion
     failure when "nxdomain-redirect" is enabled
   - CVE-2023-5679: Enabling both DNS64 and serve-stale may cause an
     assertion failure during recursive resolution
   - CVE-2023-6516: Specific recursive query patterns may lead to an
     out-of-memory condition
   - CVE-2023-50387: KeyTrap - Extreme CPU consumption in DNSSEC validator
   - CVE-2023-50868: Preparing an NSEC3 closest encloser proof can exhaust
     CPU resources
  * Update patches from debian/9.16 branch
   - Disable treat-warnings-as-errors in sphinx-build
   - Remove the reference to OPTIONS.md - it breaks build on Debian
     stretch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Feb 2024 17:25:59 +0100

=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Bernhard Schmidt <berni@debian.org>
Build-Depends: bison,
               debhelper-compat (= 12),
               dh-apparmor,
               dh-exec,
               dh-python,
               libcap2-dev [linux-any],
               libcmocka-dev,
               libdb-dev,
               libedit-dev,
               libfstrm-dev,
               libidn2-dev,
               libjson-c-dev,
               libkrb5-dev,
               liblmdb-dev,
               libmaxminddb-dev (>= 1.3.0),
               libprotobuf-c-dev,
               libssl-dev,
               libtool,
               libuv1-dev (>= 1.40.0),
               libxml2-dev,
               pkg-config,
               protobuf-c-compiler,
               python3,
               python3-ply,
               zlib1g-dev
Build-Depends-Indep: fonts-freefont-otf,
                     latexmk,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     texlive-fonts-recommended,
                     texlive-latex-recommended,
                     texlive-xetex,
                     xindy
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/dns-team/bind9
Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
Homepage: https://www.isc.org/downloads/bind/

Package: bind9
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         bind9-libs (= ${binary:Version}),
         bind9-utils (= ${binary:Version}),
         debconf | debconf-2.0,
         dns-root-data,
         iproute2,
         lsb-base (>= 3.2-14),
         netbase,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bind-doc,
          dnsutils,
          resolvconf,
          ufw
Breaks: bind (<< 1:9.13.6~)
Replaces: bind (<< 1:9.13.6~)
Description: Internet Domain Name Server
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package provides the server and related configuration files.

Package: bind9utils
Architecture: all
Depends: bind9-utils,
         ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Transitional package for bind9-utils
 This is a transitional package. It can safely be removed.

Package: bind9-utils
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: bind-utils (<< 1:9.13.6~),
        bind9utils (<< 1:9.12.0~),
        freeipa
Replaces: bind-utils (<< 1:9.13.6~),
          bind9utils (<< 1:9.12.0~)
Provides: bind9utils
Description: Utilities for BIND 9
 This package provides various utilities that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: bind-doc (<< 1:9.13.6~)
Replaces: bind-doc (<< 1:9.13.6~)
Description: Documentation for BIND 9
 This package provides various documents that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-host
Priority: standard
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: host
Breaks: bind-host (<< 1:9.13.6~)
Replaces: bind-host (<< 1:9.13.6~)
Description: DNS Lookup Utility
 This package provides the 'host' DNS lookup utility in the form that
 is bundled with the BIND 9 sources.

Package: bind9-libs
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Depends: libuv1 (>= 1.40.0),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-libs (<< 1:9.13.6~)
Replaces: bind-libs (<< 1:9.13.6~)
Description: Shared Libraries used by BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package contains a bundle of shared libraries used by BIND 9.

Package: bind9-dev
Section: devel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libbind-dev (<< 1:9.16.0~)
Replaces: libbind-dev (<< 1:9.16.0~)
Description: Static Libraries and Headers used by BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package contains a bundle of static libraries and header files used by
 BIND 9.
 .
 Please be aware that the BIND 9 libraries are considered private by upstream
 developers and the API and ABI might break at any time.

Package: dnsutils
Architecture: all
Depends: bind9-dnsutils,
         ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Transitional package for bind9-dnsutils
 This is a transitional package. It can safely be removed.

Package: bind9-dnsutils
Priority: standard
Architecture: any
Depends: bind9-host | host,
         bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-dnsutils (<< 1:9.13.6~),
        dnsutils (<< 1:9.13.6~)
Conflicts: bind-dnsutils (<< 1:9.13.6~),
           dnsutils (<< 1:9.13.6~)
Provides: dnsutils
Description: Clients provided with BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers various client programs related to DNS that are
 derived from the BIND 9 source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing -fno-delete-null-pointer-checks -DNO_VERSION_DATE -DDIG_SIGCHASE

export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

export arch = $(DEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_FEATURES=--disable-linux-caps
endif

SED_VERSION_EXTENSIONS := \
	sed -e 's,^EXTENSIONS=,EXTENSIONS="$$(dpkg-parsechangelog --file=../debian/changelog | sed -n '/^Version/s/[^-]*//p')-$$(dpkg-vendor --query Vendor)",'

%:
	dh $@ --with python3

prepare_version_extensions:
	if [ ! -f version.bak ]; then \
	  mv version version.bak; \
	  $(SED_VERSION_EXTENSIONS) < version.bak > version; \
	fi

clean_version_extensions:
	if [ -f version.bak ]; then \
	  mv version.bak version; \
	fi

override_dh_autoreconf: prepare_version_extensions
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--sysconfdir=/etc/bind \
		--with-python=python3 \
		--localstatedir=/ \
		--enable-threads \
		--enable-largefile \
		--with-libtool \
		--enable-shared \
		--enable-static \
		--with-gost=no \
		--with-openssl=/usr \
		--with-gssapi=/usr \
		--with-libidn2 \
		--with-json-c \
		--with-lmdb=/usr \
		--with-gnu-ld \
		--with-maxminddb \
		--with-atf=no \
		--enable-ipv6 \
		--enable-rrl \
		--enable-filter-aaaa \
		--disable-native-pkcs11 \
		--enable-dnstap \
		$(EXTRA_FEATURES)

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_auto_clean: clean_version_extensions
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	:

override_dh_installinit:
	dh_installinit -pbind9 --name=named
	dh_installinit --remaining

override_dh_installsystemd:
	dh_installsystemd -pbind9 --no-enable --name=named-resolvconf named-resolvconf.service
	dh_installsystemd -pbind9 --name=named named.service
	dh_installsystemd --remaining

override_dh_install:
	dh_install
	# Install apparmor profile
	dh_apparmor -pbind9 --profile-name=usr.sbin.named

override_dh_missing:
	dh_missing --exclude=.la --exclude=lwresd --exclude=__pycache_ --fail-missing

.PHONY: prepare_version_extensions clean_version_extensions

## bind9 9.18.1

=== contrib/dlz/modules/mysql/Makefile ===
# Copyright Internet Systems Consortium, Inc. ("ISC")
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.

# Copyright (C) Stichting NLnet, Netherlands, stichting@nlnet.nl.
#
# The development of Dynamically Loadable Zones (DLZ) for Bind 9 was
# conceived and contributed by Rob Butler.
#
# SPDX-License-Identifier: ISC and MPL-2.0
#
# Permission to use, copy, modify, and distribute this software for any purpose
# with or without fee is hereby granted, provided that the above copyright
# notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND STICHTING NLNET DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL STICHTING NLNET BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

prefix = /usr
libdir = $(prefix)/lib/bind9

CFLAGS=-fPIC -g -I../include $(shell mysql_config --cflags)
LDAP_LIBS=$(shell mysql_config --libs)

all: dlz_mysql_dynamic.so

dlz_dbi.o: ../common/dlz_dbi.c
	$(CC) $(CFLAGS) -c ../common/dlz_dbi.c

dlz_mysql_dynamic.so: dlz_mysql_dynamic.c dlz_dbi.o
	$(CC) $(CFLAGS) -shared -o dlz_mysql_dynamic.so \
		dlz_mysql_dynamic.c dlz_dbi.o $(MYSQL_LIBS)

clean:
	rm -f dlz_mysql_dynamic.so *.o

install: dlz_mysql_dynamic.so
	mkdir -p $(DESTDIR)$(libdir)
	install dlz_mysql_dynamic.so $(DESTDIR)$(libdir)

=== contrib/dlz/modules/perl/Makefile ===
--- 
+++ 
@@ -57,7 +57,3 @@
 
 clean:
 	rm -f dlz_perl_driver.o dlz_perl_driver.so dlz_perl_callback_clientinfo.c dlz_perl_callback_clientinfo.o dlz_perl_callback.c dlz_perl_callback.o
-
-install: dlz_perl_driver.so
-	mkdir -p $(DESTDIR)$(libdir)
-	install dlz_perl_driver.so $(DESTDIR)$(libdir)

=== debian/changelog ===
bind9 (1:9.18.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1965981). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/libdns1104.symbols: don't include dnstap symbols
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention some of the bigger changes in 9.16.0 packaging
    - d/bind9.named.service: use systemd Type=forking to signal daemon init.
      This fixes a regression of #900788 where services whose startup depend
      on name resolutions may fail due to bind9 not being ready (LP #1899902).
    - d/control: remove optional libjemalloc-dev Build-Depends as it is not in
      main.
    - d/NEWS: mention some of the relevant changes in 9.18.0 packaging
      or functionality that may affect usability.
  * Dropped changes:
    - d/p/0003-Remove-spurious-debugging-true.patch: remove development leftover
      debugging flag from nslookup code (LP: #1961556).
      [ Incorporated in 9.18.1. ]
    - SECURITY UPDATE: cache poisoning via bogus NS records
      + debian/patches/CVE-2021-25220.patch: tighten rules for acceptance of
        records into the cache in lib/dns/resolver.c.
      + CVE-2021-25220
      [ Incorporated in 9.18.1. ]
    - SECURITY UPDATE: DoS via specially crafted TCP stream
      + debian/patches/CVE-2022-0396.patch: ensure correct ordering in
        lib/isc/netmgr/netmgr.c.
      + CVE-2022-0396
      [ Incorporated in 9.18.1. ]
    - SECURITY UPDATE: DNAME insist with synth-from-dnssec enabled
      + debian/patches/CVE-2022-0635.patch: fix logic in lib/dns/rbtdb.c.
      + CVE-2022-0635
      [ Incorporated in 9.18.1. ]
    - SECURITY UPDATE: Assertion failure on delayed DS lookup
      + debian/patches/CVE-2022-0667.patch: fix logic in lib/dns/resolver.c.
      + CVE-2022-0667
      [ Incorporated in 9.18.1. ]
  * Added changes:
    - d/p/lp1964400-lp1964686-Add-digdelv-system-test-to-check-that-dig-tries-othe.patch,
      d/p/lp1964400-lp1964686-Add-digdelv-system-test-to-check-timed-out-result-fo.patch,
      d/p/lp1964400-lp1964686-Add-various-dig-host-tests-for-TCP-UDP-socket-error-.patch,
      d/p/lp1964400-lp1964686-After-dig-request-errors-try-to-use-other-servers-wh.patch,
      d/p/lp1964400-lp1964686-Fix-an-issue-in-dig-when-retrying-with-the-next-serv.patch,
      d/p/lp1964400-lp1964686-Fix-dig-error-when-trying-the-next-server-after-a-TC.patch,
      d/p/lp1964400-lp1964686-When-resending-a-UDP-request-insert-the-query-to-the.patch:
      Fix dig error when trying the next server after a TCP connection
      failure.  This upstream patchset also fixes a crash when using
      the "host" command for numeric lookups (LP: #1964400) and an
      infinite hang when passing a non-existent hostname to "host" (LP:
      #1964686).

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 23 Mar 2022 13:48:30 -0400

bind9 (1:9.18.1-1) unstable; urgency=high

  * New upstream version 9.18.1
  * CVE-2021-25220: The rules for acceptance of records into the cache
    have been tightened to prevent the possibility of poisoning if
    forwarders send records outside the configured bailiwick.
  * CVE-2022-0396: TCP connections with 'keep-response-order' enabled
    could leave the TCP sockets in the 'CLOSE_WAIT' state when the client
    did not properly shut down the connection.
  * CVE-2022-0635: Lookups involving a DNAME could trigger an assertion
    failure when 'synth-from-dnssec' was enabled (which is the default)
  * CVE-2022-0667: When chasing DS records, a timed out or artificially
    delayed fetch could cause 'named' to crash while resuming a DS lookup.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Mar 2022 15:29:31 +0100

bind9 (1:9.18.0-2ubuntu3) jammy; urgency=medium

  * SECURITY UPDATE: cache poisoning via bogus NS records
    - debian/patches/CVE-2021-25220.patch: tighten rules for acceptance of
      records into the cache in lib/dns/resolver.c.
    - CVE-2021-25220
  * SECURITY UPDATE: DoS via specially crafted TCP stream
    - debian/patches/CVE-2022-0396.patch: ensure correct ordering in
      lib/isc/netmgr/netmgr.c.
    - CVE-2022-0396
  * SECURITY UPDATE: DNAME insist with synth-from-dnssec enabled
    - debian/patches/CVE-2022-0635.patch: fix logic in lib/dns/rbtdb.c.
    - CVE-2022-0635
  * SECURITY UPDATE: Assertion failure on delayed DS lookup
    - debian/patches/CVE-2022-0667.patch: fix logic in lib/dns/resolver.c.
    - CVE-2022-0667

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Mar 2022 09:33:36 -0400

bind9 (1:9.18.0-2ubuntu2) jammy; urgency=medium

  * d/p/0003-Remove-spurious-debugging-true.patch: remove development leftover
    debugging flag from nslookup code (LP: #1961556).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 22 Feb 2022 17:04:03 -0300

bind9 (1:9.18.0-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946833). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/libdns1104.symbols: don't include dnstap symbols
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.


=== debian/watch ===
version=3

opts=\
compression=xz,\
uversionmangle=s/((rc|b)\d+)$/~$1/;s/-P(\d+)$/.P$1/,\
dirversionmangle=s/((rc|b)\d+)$/~$1/;s/-P(\d+)$/.P$1/,\
dversionmangle=s/\.dfsg\./-/;s/[\.\+]dfsg$//,\
pgpsigurlmangle=s/$/.asc/ \
  https://ftp.isc.org/isc/bind9/(9\.18\.\d+(?:(?:rc|b|-P)\d)?)/ bind-@ANY_VERSION@\.tar\.xz

## bind9 9.18.4

=== debian/changelog ===
bind9 (1:9.18.4-2ubuntu2) kinetic; urgency=medium

  * SECURITY UPDATE: Processing large delegations may severely degrade
    resolver performance
    - debian/patches/CVE-2022-2795.patch: add limit to lib/dns/resolver.c.
    - CVE-2022-2795
  * SECURITY UPDATE: Buffer overread in statistics channel code
    - debian/patches/CVE-2022-2881.patch: clear buffer in lib/isc/httpd.c.
    - CVE-2022-2881
  * SECURITY UPDATE: Memory leaks in code handling Diffie-Hellman key
    exchange via TKEY RRs
    - debian/patches/CVE-2022-2906.patch: adjust return code handling in
      lib/dns/openssldh_link.c.
    - CVE-2022-2906
  * SECURITY UPDATE: resolvers configured to answer from cache with zero
    stale-answer-timeout may terminate unexpectedly
    - debian/patches/CVE-2022-3080.patch: refactor stale RRset handling in
      lib/ns/include/ns/query.h, lib/ns/query.c.
    - CVE-2022-3080
  * SECURITY UPDATE: memory leaks in EdDSA DNSSEC verification code
    - debian/patches/CVE-2022-38178.patch: fix return handling in
      lib/dns/openssleddsa_link.c.
    - CVE-2022-38178

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Sep 2022 09:18:42 -0400

bind9 (1:9.18.4-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971250)
    Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/libdns1104.symbols: don't include dnstap symbols
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention some of the bigger changes in 9.16.0 packaging
    - d/bind9.named.service: use systemd Type=forking to signal daemon init.
      This fixes a regression of #900788 where services whose startup depend
      on name resolutions may fail due to bind9 not being ready (LP #1899902).
    - d/control: remove optional libjemalloc-dev Build-Depends as it is not in
      main.
    - d/NEWS: mention some of the relevant changes in 9.18.0 packaging
      or functionality that may affect usability.
  * Dropped changes:
    - d/p/lp1964400-lp1964686-Add-digdelv-system-test-to-check-that-dig-tries-othe.patch,
      d/p/lp1964400-lp1964686-Add-digdelv-system-test-to-check-timed-out-result-fo.patch,
      d/p/lp1964400-lp1964686-Add-various-dig-host-tests-for-TCP-UDP-socket-error-.patch,
      d/p/lp1964400-lp1964686-After-dig-request-errors-try-to-use-other-servers-wh.patch,
      d/p/lp1964400-lp1964686-Fix-an-issue-in-dig-when-retrying-with-the-next-serv.patch,
      d/p/lp1964400-lp1964686-Fix-dig-error-when-trying-the-next-server-after-a-TC.patch,
      d/p/lp1964400-lp1964686-When-resending-a-UDP-request-insert-the-query-to-the.patch:
      Fix dig error when trying the next server after a TCP connection
      failure.  This upstream patchset also fixes a crash when using
      the "host" command for numeric lookups (LP #1964400) and an
      infinite hang when passing a non-existent hostname to "host" (LP
      #1964686).
      [ Incorporated by upstream. ]
    - SECURITY UPDATE: Destroying a TLS session early causes assertion
      failure
      + debian/patches/CVE-2022-1183.patch: fix destroying logic in
        lib/isc/netmgr/netmgr-int.h, lib/isc/netmgr/tlsstream.c.
      [ Incorporated by upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 20 Jul 2022 05:28:13 -0400

bind9 (1:9.18.4-2) unstable; urgency=medium

  [ Simon Deziel ]
  * debian/extras/etc/db.0: correct descriptive comment

  [ Bernhard Schmidt ]
  * Add sleep workaround in tests/simpletests (Closes: #1012059)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Jul 2022 12:58:06 +0200

bind9 (1:9.18.4-1) unstable; urgency=medium

  * Disable treat-warnings-as-errors in sphinx-build
  * New upstream version 9.18.4

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2022 14:36:44 +0200

bind9 (1:9.18.3-1) unstable; urgency=medium

  * New upstream version 9.18.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2022 16:53:01 +0200

bind9 (1:9.18.2-1) unstable; urgency=medium

  * Drop libldap2-dev from Build-Depends (Closes: #1008021)
  * New upstream version 9.18.2
  * Add runtime dependency on libuv1 >= 1.40.0 (Closes: #1009889)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Apr 2022 11:03:35 +0200

bind9 (1:9.18.1-1ubuntu2) kinetic; urgency=medium

  * SECURITY UPDATE: Destroying a TLS session early causes assertion
    failure
    - debian/patches/CVE-2022-1183.patch: fix destroying logic in
      lib/isc/netmgr/netmgr-int.h, lib/isc/netmgr/tlsstream.c.
    - CVE-2022-1183

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 May 2022 07:38:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,45 +1,45 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
+               dh-apport,
                dh-exec,
-               dh-python,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
                libedit-dev,
-               libfstrm-dev,
                libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
                liblmdb-dev,
+               libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
-               libprotobuf-c-dev,
+               libnghttp2-dev,
                libssl-dev,
                libtool,
+               libtool-bin,
                libuv1-dev (>= 1.40.0),
                libxml2-dev,
                pkg-config,
-               protobuf-c-compiler,
                python3,
-               python3-ply,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
                      python3-sphinx,
                      python3-sphinx-rtd-theme,
-                     texlive-fonts-recommended,
+                     texlive-fonts-extra,
                      texlive-latex-recommended,
                      texlive-xetex,
                      xindy
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.18
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -79,8 +79,8 @@
 
 Package: bind9-utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: bind9-libs (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-utils (<< 1:9.13.6~),
         bind9utils (<< 1:9.12.0~),
@@ -105,7 +105,8 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
-Depends: ${misc:Depends},
+Depends: bind9-libs (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Provides: host
 Breaks: bind-host (<< 1:9.13.6~)

## bind9 9.18.12

=== debian/changelog ===
bind9 (1:9.18.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 26 Feb 2023 10:27:12 +0100

bind9 (1:9.18.12-1) unstable; urgency=medium

  * New upstream version 9.18.12
  * Drop libtool-bin from B-D (Closes: #1022968)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Feb 2023 15:15:49 +0100

bind9 (1:9.18.11-2) unstable; urgency=medium

  * Allow the named to use systemd notify service

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Jan 2023 21:13:55 +0100

bind9 (1:9.18.11-1) unstable; urgency=medium

  * New upstream version 9.18.11

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2023 15:51:35 +0100

bind9 (1:9.18.10-2) unstable; urgency=medium

  * Backport upstream feature to use sd_notify()
  * Use systemd notify for service readyness check (Closes: #994696)
  * apparmor.d: Allow named to read all OpenSSL config files.
    (Closes: #1025519)
  * apparmor.d: Allow named to query for hugepages support.
    (Closes: #1020315)
  * Fix path to README.Debian (Closes: #1016646)

 -- Bernhard Schmidt <berni@debian.org>  Thu, 22 Dec 2022 17:12:17 +0100

bind9 (1:9.18.10-1) unstable; urgency=medium

  * New upstream version 9.18.10

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Dec 2022 18:00:33 +0100

bind9 (1:9.18.9-1) unstable; urgency=medium

  * New upstream version 9.18.9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Nov 2022 14:00:05 +0100

bind9 (1:9.18.8-1) unstable; urgency=medium

  * New upstream version 9.18.8

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Oct 2022 14:58:38 +0200

bind9 (1:9.18.7-1) unstable; urgency=medium

  * New upstream version 9.18.7
   - CVE-2022-2795: Processing large delegations may severely degrade
     resolver performance
   - CVE-2022-2881: Buffer overread in statistics channel code
   - CVE-2022-2906: Memory leaks in code handling Diffie-Hellman key
     exchange via TKEY RRs (OpenSSL 3.0.0+ only)
   - CVE-2022-3080: BIND 9 resolvers configured to answer from stale
     cache with zero stale-answer-client-timeout may terminate unexpectedly
   - CVE-2022-38177: Memory leak in ECDSA DNSSEC verification code
   - CVE-2022-38178: Memory leaks in EdDSA DNSSEC verification code

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Sep 2022 12:48:36 +0200

bind9 (1:9.18.6-2) unstable; urgency=medium

  * No-change source-only upload

 -- Bernhard Schmidt <berni@debian.org>  Mon, 05 Sep 2022 21:30:08 +0200

bind9 (1:9.18.6-1) unstable; urgency=medium

  * Disable treat-warnings-as-errors in sphinx-build
  * New upstream version 9.18.6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Aug 2022 09:39:20 +0200

bind9 (1:9.18.5-1) unstable; urgency=medium

  * New upstream version 9.18.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2022 16:40:31 +0200

## bind9 9.18.16

=== debian/changelog ===
bind9 (1:9.18.16-1ubuntu2) mantic; urgency=medium

  * d/t/control, d/t/dyndb-ldap: add DEP8 test (LP: #2032650)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 22 Aug 2023 09:24:02 -0300

bind9 (1:9.18.16-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018050). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/control: remove optional libjemalloc-dev Build-Depends as it is not in
      main.
    - d/NEWS: mention relevant packaging changes
    - Improve dep-8 test suite (LP #2003584):
      + d/t/zonetest: Add dep8 test for checking the domain zone creation
        process
      + d/t/control: Add new test outline
  * Added Changes:
    - d/po/de.po: Fix German UTF-8 encoding
    - d/copyright: Fix lintian warnings
      + Remove the entry for lib/isc/hp.c lib/isc/include/isc/hp.h as they were
        deleted in 9.18.2
      + Remove the entry for lib/isc/include/pkcs11/pkcs11.h as it is no longer
        bundled as of 9.17.19
      + Update the location of random_test.c and add info about its public
        domain section
      + Add wildcards to folders as needed
      + Note that m4/ uses the FSFAP license
    - d/control: Remove lsb-base dependency as it is no longer needed
      + See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1019851

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 26 Jun 2023 14:25:50 -0700

bind9 (1:9.18.16-1) unstable; urgency=medium

  * New upstream version 9.18.16
   - CVE-2023-2828: The overmem cleaning process has been improved,
     to prevent the cache from significantly exceeding the configured
     max-cache-size limit.
   - CVE-2023-2911: A query that prioritizes stale data over lookup
     triggers a fetch to refresh the stale data in cache. If the fetch
     is aborted for exceeding the recursion quota, it was possible for
     named to enter an infinite callback loop and crash due to stack
     overflow. This has been fixed.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jun 2023 20:43:16 +0200

bind9 (1:9.18.15-1) unstable; urgency=medium

  * New upstream version 9.18.15

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 May 2023 17:47:33 +0200

bind9 (1:9.18.14-1) unstable; urgency=medium

  * New upstream version 9.18.14

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Apr 2023 14:47:56 +0200

bind9 (1:9.18.13-1) unstable; urgency=medium

  * New upstream version 9.18.13

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Mar 2023 18:11:29 +0100

bind9 (1:9.18.12-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/control: remove optional libjemalloc-dev Build-Depends as it is not in
      main.
    - d/NEWS: mention relevant packaging changes
    - Improve dep-8 test suite (LP #2003584):
      + d/t/zonetest: Add dep8 test for checking the domain zone creation process
      + d/t/control: Add new test outline

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 22 Feb 2023 10:10:14 -0700

bind9 (1:9.18.11-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2004172). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/control: remove optional libjemalloc-dev Build-Depends as it is not in
      main.
    - d/NEWS: mention relevant packaging changes
    - Improve dep-8 test suite (LP #2003584):
      + d/t/zonetest: Add dep8 test for checking the domain zone creation process
      + d/t/control: Add new test outline
  * Dropped Changes:
    - d/extras/apparmor.d/usr.sbin.named: Allow systemd notify access in
      apparmor for named
      [Fixed in Debian 1:9.18.11-2]

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 30 Jan 2023 08:37:28 -0700

bind9 (1:9.18.10-2ubuntu2) lunar; urgency=medium

  * Improve dep-8 test suite (LP: #2003584):
    - d/t/zonetest: Add dep8 test for checking the domain zone creation process
    - d/t/control: Add new test outline

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 27 Jan 2023 09:16:29 -0700

bind9 (1:9.18.10-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993375). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap


=== debian/tests/control ===
Tests: simpletest
Restrictions: isolation-container, needs-internet, needs-root
Depends: bind9,
         bind9-dnsutils

Tests: validation
Restrictions: isolation-container, needs-internet, needs-root, flaky
Depends: bind9,
         bind9-dnsutils

Tests: zonetest
Restrictions: isolation-container, needs-root
Depends: bind9,
         bind9-dnsutils,
         bind9-utils

Tests: dyndb-ldap
Restrictions: isolation-container, needs-root
Depends: bind9,
         bind9-dyndb-ldap,
         slapd,
         ldap-utils,
         dpkg-dev
